/*
 * Test for a bug in doxygen
 */
 
typedef class Cnull {
} *Cnull_p;

typedef class Ca {
} *Ca_p;

typedef class Cb : Cnull {
} *Cb_p;

/**
 * The generated documentation for func_2 will create a link to the documentation
 * for Cb. The documentation for func_1 will show the return type but it will not
 * be a link.
 *
 * Placing a colon but no base class name after Ca in the declaration will result
 * in a link, but of course it will not compile.
 */
typedef class Cc {
public:
	Ca_p	func_1(void);	///< No link to return type
	Cb_p	func_2(void);	///< Link to return type
} *Cc_p;
